# Uses of Class
org.apache.sysds.runtime.io.TensorReader

Packages that use TensorReader
Package
Description
org.apache.sysds.runtime.io

## Uses of TensorReader in org.apache.sysds.runtime.io

Subclasses of TensorReader in org.apache.sysds.runtime.io
Modifier and Type
Class
Description
`class`
`TensorReaderBinaryBlock`
`class`
`TensorReaderBinaryBlockParallel`
`class`
`TensorReaderTextCell`
`class`
`TensorReaderTextCellParallel`
Methods in org.apache.sysds.runtime.io that return TensorReader
Modifier and Type
Method
Description
`static TensorReader`
TensorReaderFactory.`createTensorReader(Types.FileFormat fmt)`